Add an account to a card

Add an account to a card. Can be reversed by calling /card/removeAccount. The customerId attempting to add the account must have an accessTypeCode of FULL to that account and the customer itself must have an accessTypeCode of FULL or ACCT.

Error Codes

Click to expand
CodeMessage (en-US)Notes
1-60000Any "Common Error Code" may occur.See Common Error Codes
150601Invalid CardId 0 or CustomerId 1 is not associated with the card.
150602CardId 0 must be unlocked to add an account.
150603AccountId 0 must be a Checking or Savings account.
150604CardId 0 already has the maximum of 4 1 accounts.
150605AccountId 0 is in a status of 1. Must be Open to add it to a card.
150606AccountId 0 is already tied to CardId 1 with a priority of 2.
150607New priority of 0 must be between 1 and 1.The specified account priority cannot be greater than the current number of accounts + 1
Body Params
int32
required
≥ 1
int32
required
≥ 1
int32
required
≥ 1
int32
required
1 to 4

Priority the accountId will have. Must be between 1 and 4 inclusive. If this matches the priority of an existing account, that account's priority will be slid down one slot (as will all other lower priority accounts as needed)

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json